#ifndef __INC_POS_PDTTYPE_DTTAGS_H
#define __INC_POS_PDTTYPE_DTTAGS_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>DtTags.h<<   23 Jan 1997    17:42:09 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PUTIL_TAGITEM_H
#include <pUtil/TagItem.h>
#endif




enum pOS_DtTypeClassTags
{
  DCLTAG_First = TAG_USER + 0xd0000,
  DCLTAG_Name,          /* (const CHAR*) */
  DCLTAG_Type,          /* (const CHAR*) Type, Format */
  DCLTAG_ClassName,     /* (const CHAR*) */
  DCLTAG_DTD,           /* (const pOS_DtTypeDescribe*) */
  DCLTAG_Quick,         /* (BOOL) TRUE=> besonders schnell,
                        ** Beim Obtain... werden u.U. nicht alle Daten ermittelt.
                        */
  DCLTAG_Remap,         /* (BOOL) DtType wird beim 'Create' aufgefordert,
                        ** das Format anzupassen.
                        */
  DCLTAG_DTDFlags,      /* (enum pOS_DtTypeDescribeFlags) */
  DCLTAG_FilePattern,   /* (const dosname_t*) */
  DCLTAG_NeedIOStruct,  /* DtType send by DCLMTH_New to basis-class */





/* ascii */
  ASCIITAG_First = TAG_USER + 0xd2000,
  ASCIITAG_Buffer,              /* (const CHAR*) null termination */


/* dosobj */
  DOSOBJTAG_First = TAG_USER + 0xd2100,
  DOSOBJTAG_Name,               /* (const dosname_t*) null termination */
  DOSOBJTAG_Lock,               /* (const pOS_FileLock*) */



/* picture */
  PICTURETAG_First = TAG_USER + 0xd3000,
  PICTURETAG_GfxMapPtr,         /* (pOS_GfxMap**) der DtType erzeugt eine Map und
                                ** gibt den Pointer nach auen.
                                */
  PICTURETAG_RemapMode,         /* (ULONG) => GFXTAG_CrtExtraMap, (DCLTAG_Remap==TRUE)
                                **  0== create Friend-GfxMap,
                                **  1== create StdGfxMap (sparsam)
                                **  2== create Freind-GfxMap (sparsam, fr alle Auflsungen)
                                ** ~0== nicht remappen
                                */
  PICTURETAG_FriendGfxMap,      /* (const pOS_GfxMap*) => GFXTAG_FriendGfxMap */
  PICTURETAG_GfxMapArrayPtr,    /* (pOS_GfxMap***) der DtType erzeugt ein Array mit
                                ** pOS_AllocVec() ber die Lnge der Frameanzahl+1.
                                ** Das Ende wird mit einem NULL-Pointer gekennzeichnet.
                                */
  PICTURETAG_FramePtr,          /* (ULONG*) Anzahl der Frames ermitteln */



/* sample */
  SAMPLETAG_First = TAG_USER + 0xd4000,
  SAMPLETAG_Channel,            /* Channel von pOS_AllocChannel() */
  SAMPLETAG_AudioMapPtr,        /* (pOS_AudioMap**) der DtType erzeugt eine Map und
                                ** gibt den Pointer nach auen.
                                */
  SAMPLETAG_RemapMode,          /* (DCLTAG_Remap==TRUE)
                                **  0== create Friend-GfxMap,
                                **  1== create StdMap (sparsam)
                                ** ~0== nicht remappen
                                */


};


#endif
