#ifndef __INC_POS_PDTTYPE_SAMPLE_H
#define __INC_POS_PDTTYPE_SAMPLE_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>Sample.h<<   23 Jan 1997    09:07:10 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_TYPES_H
#include <pExec/Types.h>
#endif


#define pOS_DTNAME_SAMPLE "DtType/sample.class"
#define pOS_DTFORM_SAMPLE "sample"

/*----------------------------------
-----------------------------------*/
struct pOS_DtTypeSample
{
  UWORD   dtsmp_StructSize;     /* sizeof(pOS_DtTypeSample) */
  UBYTE   dtsmp_ID[12];         /* max 11 Chars, (8SVX, ...) */
  UWORD   dtsmp_AudioMapType;   /* (enum pOS_AudioMapType)  Standard */
  UBYTE   dtsmp_Pad;
  UBYTE   dtsmp_Compression;
  UWORD   dtsmp_Volume;
  UWORD   dtsmp_Cycles;
  ULONG   dtsmp_Frames;      /*  */
  ULONG   dtsmp_Frequence;   /* Hz */
  ULONG   dtsmp_Length;      /* Sample-Einheiten */

  UBYTE   dtsmp_Reserved[16];  /* avoid recompile */
};



/*----------------------------------
-----------------------------------*/
struct pOS_DtTypeSampleFrame
{
  UWORD                dtsmpf_StructSize; /* sizeof(pOS_DtTypeSampleFrame) */
  struct pOS_AudioMap *dtsmpf_AudioMap;
  ULONG                dtsmpf_Flags;      /* /enum pOS_DtTypeSampleFrameFlags) */
  UBYTE                dtsmpf_Quality;    /* (pOS_QUALITY_xxx) 0==low, 255==best */
  UBYTE                dtsmpf_Pad;
  UWORD                dtsmpf_Volume;
  UWORD                dtsmpf_Cycles;
  ULONG                dtsmpf_FrameNum;   /* (1,2,3...dtsmp_Frames) */
  ULONG                dtsmpf_Frequence;  /* Hz */
  ULONG                dtsmpf_Length;     /* Sample-Einheiten */

  UBYTE dtsmpf_Reserved[16]; /* avoid recompile */
};




enum pOS_DtTypeSampleFrameFlags
{
  DTSMPFRAF_Left      = 0x0001, /* Channel Left */
  DTSMPFRAF_Right     = 0x0002, /* Channel Right */
};


#endif
